## ros-kinetic-pr2-motor-diagnostic-tool 1.0.15

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_motor_diagnostic_tool)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS rospy message_generation message_runtime rqt_gui rqt_gui_py pr2_controller_interface pr2_mechanism_model pr2_mechanism_msgs pluginlib ethercat_hardware)

# include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
# CATKIN_MIGRATION: removed during catkin migration
# cmake_minimum_required(VERSION 2.4.6)

# CATKIN_MIGRATION: removed during catkin migration
# include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)




#common commands for building c++ executables and libraries
#add_library(${PROJECT_NAME} src/example.cpp)
#target_link_libraries(${PROJECT_NAME} another_library)
#
# CATKIN_MIGRATION: removed during catkin migration
# rosbuild_add_boost_directories()
#add_executable(example examples/example.cpp)
#target_link_libraries(example ${PROJECT_NAME})
#add_library(diagnostic_controller_lib src/diagnostic_controller.cpp)
#find_package(Boost REQUIRED COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS})
## Generate added messages and services with any dependencies listed here
add_message_files(
    FILES 
    MotorSample.msg
)
add_service_files(
    FILES 
    DiagnosticData.srv
)


generate_messages(
    DEPENDENCIES std_msgs)

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
catkin_package(
    DEPENDS rospy rqt_gui rqt_gui_py pr2_controller_interface pr2_mechanism_model pr2_mechanism_msgs pluginlib ethercat_hardware
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

=== debian/changelog ===
ros-kinetic-pr2-motor-diagnostic-tool (1.0.15-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 24 Apr 2019 00:00:00 -0000

ros-kinetic-pr2-motor-diagnostic-tool (1.0.14-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 27 Mar 2019 00:00:00 -0000

ros-kinetic-pr2-motor-diagnostic-tool (1.0.13-1xenial) xenial; urgency=high

  * updated maintainer status
  * removed unnecessary dependency on actionlib for pr2_motor_diagnostic_tool package
  * Merge pull request #5 <https://github.com/PR2/pr2_self_test/issues/5> from UNR-RoboticsResearchLab/indigo-devel
    added additional package dependencies in order to compile on indigo
  * added additional package dependencies in order to compile on indigo
  * Contributors: Dave Feil-Seifer, David Feil-Seifer

 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 26 Mar 2019 00:00:00 -0000

ros-kinetic-pr2-motor-diagnostic-tool (1.0.12-1xenial) xenial; urgency=high

  * Merge branch 'hydro-devel' of https://github.com/pr2/pr2_self_test into hydro-devel
  * removed genmsg dep
  * Contributors: TheDash

 -- Dash <dash@clearpathrobotics.com>  Tue, 22 Sep 2015 23:58:00 -0000

ros-kinetic-pr2-motor-diagnostic-tool (1.0.11-1xenial) xenial; urgency=high

  * Added actionlib dependency
  * Contributors: TheDash

 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 22 Sep 2015 12:23:00 -0000

ros-kinetic-pr2-motor-diagnostic-tool (1.0.10-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Fri, 18 Sep 2015 00:00:00 -0000

ros-kinetic-pr2-motor-diagnostic-tool (1.0.9-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 11 Feb 2015 00:00:00 -0000

ros-kinetic-pr2-motor-diagnostic-tool (1.0.8-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 10 Feb 2015 00:00:00 -0000

ros-kinetic-pr2-motor-diagnostic-tool (1.0.7-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 02 Dec 2014 00:00:00 -0000

ros-kinetic-pr2-motor-diagnostic-tool (1.0.6-1xenial) xenial; urgency=high

  * Updated versions
  * Changelogs
  * Added pr2_motor_diagnostic_tool
  * Contributors: TheDash

 -- Dash <dash@clearpathrobotics.com>  Fri, 28 Nov 2014 19:38:00 -0000

ros-kinetic-pr2-motor-diagnostic-tool (1.0.5-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Fri, 28 Nov 2014 02:19:40 -0000

ros-kinetic-pr2-motor-diagnostic-tool (1.0.4-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Fri, 28 Nov 2014 02:19:12 -0000

ros-kinetic-pr2-motor-diagnostic-tool (1.0.3-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 15 Oct 2014 00:00:00 -0000

ros-kinetic-pr2-motor-diagnostic-tool (1.0.2-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 16 Sep 2014 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pr2-motor-diagnostic-tool
Section: misc
Priority: extra
Maintainer: David Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-ethercat-hardware, ros-kinetic-pluginlib, ros-kinetic-pr2-controller-interface, ros-kinetic-pr2-mechanism-model, ros-kinetic-pr2-mechanism-msgs, ros-kinetic-rospy, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-py
Homepage: http://ros.org/wiki/pr2_motor_diagnostic_tool
Standards-Version: 3.9.2

Package: ros-kinetic-pr2-motor-diagnostic-tool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ethercat-hardware, ros-kinetic-pluginlib, ros-kinetic-pr2-controller-interface, ros-kinetic-pr2-mechanism-model, ros-kinetic-pr2-mechanism-msgs, ros-kinetic-rospy, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-py
Description: pr2_motor_diagnostic_tool

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pr2-motor-diagnostic-tool//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
